Proton Mail & Calendar
- or
No existing idea results
- ~ No ideas found ~
2331 results found
-
Better navigation in Mail
It is cumbersome to navigate back through older emails. You can only click on the page numbers at the bottom, and this does not allow you to go very far back.
There is a need for greater flexibility here, for example by having the pages load automatically as you scroll down through your emails, and by allowing users to enter the specific page number they want to go to.
2 votes -
Always show full email address
For both to and from there should be the option to always show the full email address rather than just a name.
6 votes -
Select all email from sender
Proposed feature:
- Use the checkbox to select one or more email messages OR simply right-click on the desired email
- Choose "Select all from sender" from the context menu
- Proton selects ALL email from ALL the selected senders that are located in the current folder
- User can then use the existing "Move" button to move them into a folder, "Delete" to delete them, "Label" to label them, etc.
That is it!
REASONING: This feature would be very powerful for users because it makes complicated, multi-step tasks MUCH faster, saving users time.
For example:
GOAL: Select multiple email from different senders and move them all into a single folder
EXISTING STEPS: (1) for the first sender, open the email, (2) click on the "From" field, (3) click on the copy button, (4) return to the previous folder, (5) click on the search bar, (6) type or copy/paste the email address into the sender box and confirm, (7) select all email, (8) move the email into the desired folder, (9) repeat steps 1-8 for EVERY SENDER whose email I wish to move into the desired folder. [TOTAL STEPS = 8 * number of senders]
PROPOSED STEPS: (1) check at least one email from each sender I wish to move, (2) right click and choose "Select all from sender", (3) click on the "Move" button, (4) select the desired folder. [TOTAL STEPS = 4]
Personally, the most common task I perform is moving email in order to maintain some sort of sanity for my inbox. Filters and labels are a huge help but it quickly gets out of hand (AND it's time consuming) to create filters for every sender. This feature would save me a bunch of time and close the gap between Proton Mail and more feature-filled email platforms like Outlook.
Proposed feature:
- Use the checkbox to select one or more email messages OR simply right-click on the desired email
- Choose "Select all from sender" from the context menu
- Proton selects ALL email from ALL the selected senders that are located in the current folder
- User can then use the existing "Move" button to move them into a folder, "Delete" to delete them, "Label" to label them, etc.
That is it!
REASONING: This feature would be very powerful for users because it makes complicated, multi-step tasks MUCH faster, saving users time.
For example:
GOAL: Select multiple email from different senders and…
25 votes -
Sorting Mail filters for easy reading.
Under Proton Mail’s filter settings, the user cannot sort the list of filters they have created, making navigation difficult. Could the team add a button to help sort the list?
7 votes -
Select newsletters with checkboxes
The newsletters view is great. It would be even greater if you cloud select newsletters with checkboxes just like emails, and apply actions (unsubscribe all, remove all from list, move all to trash, etc) with just one click to all of them!
4 votes -
FIX Calendar Event(s) Pop-Up
instead of making me open an email,
then click a link in the email to tell me that an event is about to occur;
how about you simply pop-up the event at the scheduled time or at the time specified prior to the event...3 votes -
“Read&Archive” when swiping left
I need the option to be able to read and archive and email at once when I’m swiping left. This is the only thing that is holding me back on buying an annual subscription.
2 votes -
Making Assignments Easier
University assignments can become challenging when you are balancing lectures, research, part-time work, and multiple deadlines. An Assignment Maker can be useful for students who need help organising ideas, understanding an assignment brief, or developing a clear academic structure. However, the process should focus on learning rather than simply producing a finished submission. Students can use academic support to explore suitable topics, improve their research approach, understand referencing requirements, and identify areas that need stronger analysis. It is also helpful to review the university guidelines before starting, as expectations can differ by subject and academic level. From essays and case studies to reports and dissertations, having the right guidance can make the overall writing process more manageable. The aim should always be to build confidence, improve academic skills, and produce work that reflects the student's own understanding.
https://www.myassignments-pro.com/assignment-maker/University assignments can become challenging when you are balancing lectures, research, part-time work, and multiple deadlines. An Assignment Maker can be useful for students who need help organising ideas, understanding an assignment brief, or developing a clear academic structure. However, the process should focus on learning rather than simply producing a finished submission. Students can use academic support to explore suitable topics, improve their research approach, understand referencing requirements, and identify areas that need stronger analysis. It is also helpful to review the university guidelines before starting, as expectations can differ by subject and academic level. From essays and case…
2 votes -
Is it safe to use a MySQL database recovery tool
Yes, using a MySQL database recovery tool can be safe when the software works in a read-only manner and does not overwrite the original database files. SysInfo MySQL Database Recovery Tool is designed for read-only recovery and can recover data from corrupted MySQL files without overwriting the source files. The tool supports common MySQL file types such as .idb, .myd, .myi, .ibdata, and .frm, and allows users to preview recoverable database objects before saving them. Users can save recovered data to a new MySQL database or export it as SQL scripts. This makes SysInfo MySQL Database Recovery Tool a convenient option for recovering corrupted databases while keeping the original files protected.
Read More - https://www.sysinfotools.com/mysql-database-recovery.phpYes, using a MySQL database recovery tool can be safe when the software works in a read-only manner and does not overwrite the original database files. SysInfo MySQL Database Recovery Tool is designed for read-only recovery and can recover data from corrupted MySQL files without overwriting the source files. The tool supports common MySQL file types such as .idb, .myd, .myi, .ibdata, and .frm, and allows users to preview recoverable database objects before saving them. Users can save recovered data to a new MySQL database or export it as SQL scripts. This makes SysInfo MySQL Database Recovery Tool a convenient…
2 votes -
Mid-point between Mail Plus and Unlimited
There really needs to be something between Mail Plus and Unlimited, especially seeing as you can't upgrade from Mail Plus to Drive Plus.
The jump from Mail Plus to Unlimited is too high in price and not everyone needs 500GB of storage, but 15GB is too limiting.
There needs to be something comparable for Mail to Drive Plus with 100 to 200GB storage.
2 votes -
Select all mails after search - proton mail app
I want to clean my mailbox. So I am searching mail’s from eg info@news.com and want to select all this messages and move them to a folder or delete them. But it’s not possible on iOS mail app. I have to click on every single mail … would save a lot of time! Thank you!
12 votes -
Smarter Mail-to-Calendar Integration with One-Click Event Creation
I would love to see tighter integration between Proton Mail and Proton Calendar. Features like automatically creating calendar events from emails, smarter reminders, and better RSVP management would improve productivity. For example, if I receive an email announcing Crumbl Cookies' weekly flavor lineup from https://crumbl-menu.com/, I should be able to create a calendar reminder for Monday's flavor drop with a single click. An AI-powered search that works entirely on-device while preserving privacy would also be a great addition. For Calendar, offline access, richer recurring event options, and easier sharing with non-Proton users would make it even more useful. Overall, maintaining Proton's strong privacy focus while adding more convenience features would make the ecosystem even stronger.
I would love to see tighter integration between Proton Mail and Proton Calendar. Features like automatically creating calendar events from emails, smarter reminders, and better RSVP management would improve productivity. For example, if I receive an email announcing Crumbl Cookies' weekly flavor lineup from https://crumbl-menu.com/, I should be able to create a calendar reminder for Monday's flavor drop with a single click. An AI-powered search that works entirely on-device while preserving privacy would also be a great addition. For Calendar, offline access, richer recurring event options, and easier sharing with non-Proton users would make it even more useful. Overall,…
3 votes -
Add Advanced Sieve Extensions: Mailbox, Notifications, Body Filtering...
Proton Mail's Sieve implementation is missing several powerful RFC-standard extensions that would unlock advanced email automation.
Here are the key missing features: Mailbox Creation and Checking (RFC5490, RFC9042) - Automatically create folders and organize emails by sender domain without manual setup.
Notifications (RFC5435/RFC5436) - Send SMS or email notifications when specific emails arrive instead of just filing them.
Body Content Filtering (RFC5173) - Filter emails based on message body content, not just headers, for smarter spam detection.
Edit Headers (RFC5293) - Modify or add custom headers to emails as they arrive.
File Carbon Copy (RFC8580) - Keep automatic copies of filtered emails in specific folders for compliance or backup.
Calendar Processing (RFC9671) - Automatically handle calendar invitations and ICALENDAR attachments.
Proton Mail's Sieve implementation is missing several powerful RFC-standard extensions that would unlock advanced email automation.
Here are the key missing features: Mailbox Creation and Checking (RFC5490, RFC9042) - Automatically create folders and organize emails by sender domain without manual setup.
Notifications (RFC5435/RFC5436) - Send SMS or email notifications when specific emails arrive instead of just filing them.
Body Content Filtering (RFC5173) - Filter emails based on message body content, not just headers, for smarter spam detection.
Edit Headers (RFC5293) - Modify or add custom headers to emails as they arrive.
File Carbon Copy (RFC8580) - Keep automatic copies of…
16 votes -
Unable to add additional people or forward a meeting notice.
Need to be able to add additional people to a received meeting notice, or forward it to others. Currently when I receive a meeting notice from someone, I cannot add any other participants or forward it to others so that it creates a meeting notice for the new person. This is extremely annoying.
2 votes -
Add the ability to write rules based on message body content
As far as I know, every other mail client lets you create rules based on if the message body contains certain words. I notice things getting through my spam filters because of new domains, or shared domains, and that's bad. There are certain words that are always going to be considered spam to people, so it doesn't matter where they come from. Even if you think it's not a great way to create a rule, I think you should give us the option, especially since your refuse to let us quickly add to existing filters. As an example, I get emails from Substack that I either did not sign up for but every time I get one of those, I have to add the subdomain manually, or create a new rule for it, or sometimes I get emails that I did sign up for, but the content of that email is one I wouldn't want in my inbox. If I could set keywords or phrases in the filter, these issues would not exist.
As far as I know, every other mail client lets you create rules based on if the message body contains certain words. I notice things getting through my spam filters because of new domains, or shared domains, and that's bad. There are certain words that are always going to be considered spam to people, so it doesn't matter where they come from. Even if you think it's not a great way to create a rule, I think you should give us the option, especially since your refuse to let us quickly add to existing filters. As an example, I get…
2 votes -
Notification when mail arrives and is moved to a folder
At present I have to check folders to see if a mail item has arrived there.
It should be possible to see a notification, within the browser app, that mail has arrived and been moved straight to a nominated folder.
2 votes -
Please make a 45 minute calendar interval. This is the standard time for my client meetings as a therapist.
-45 minute or custom calendar interval as default.
2 votes -
UX costumization in Calendar
It would be great to be able to costumize the way we want to calendar app on Android.
I'm thinkin of :
- In monthly view, have a parameter that allows us to display the title of event on 2 or 3 lines, to be able to read it (Or to change the size of the title)
- In weekly view, same thing : for a full day event only 2 letters of the event are displayed...
- In weekly view : To have an option display the adress of the event : we have to check the event to find it.
- In weekly/monthly view : To be able to change the color if the event is on several days (like a pastel-ish tone to the color of the event).I went from Samsung to Proton, the features on their calendars were much more efficient and nice to use, it's kind of difficult to adjust.
It would be great to be able to costumize the way we want to calendar app on Android.
I'm thinkin of :
- In monthly view, have a parameter that allows us to display the title of event on 2 or 3 lines, to be able to read it (Or to change the size of the title)
- In weekly view, same thing : for a full day event only 2 letters of the event are displayed...
- In weekly view : To have an option display the adress of the event : we have to check the event to…5 votes -
When creating a group in PM, allow existing group to be added
When creating a group, it would be useful to be able to insert an existing group as an address.
An example use case would be to have a 'core' group and a 'full distribution' group
2 votes -
mail mailgroups reply all
When replying to an email received from a mailing list, like googlegroups, I don't want to receive that emailt twice. Neither if I send with reply all option nor somebody answers to the list with reply all option.
2 votes
- Don't see your idea?